org.mariadb.jdbc.internal.stream

## Interface MariaDbInputStream

All Known Implementing Classes:
  DecompressInputStream, MariaDbBufferedInputStream

    public interface MariaDbInputStream

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `available()`
`void` `close()`
`int` `getLastPacketSeq()`
`void` `mark(int readlimit)`
`boolean` `markSupported()`
`int` `read()`
`int` `read(byte[] bytes)`
`int` `read(byte[] bytes, int off, int len)`
`int` `readHeader()`
`void` `reset()`
`void` `setLastPacketSeq(int lastPacketSeq)`
`long` `skip(long length)`

### Method Detail

#### readHeader

    int readHeader()
            throws IOException

Throws:
  `IOException`

#### read

    int read()
      throws IOException

Throws:
  `IOException`

#### read

    int read(byte[] bytes)
      throws IOException

Throws:
  `IOException`

#### read

    int read(byte[] bytes,
             int off,
             int len)
      throws IOException

Throws:
  `IOException`

#### skip

    long skip(long length)
       throws IOException

Throws:
  `IOException`

#### available

    int available()
           throws IOException

Throws:
  `IOException`

#### close

    void close()
        throws IOException

Throws:
  `IOException`

#### mark

    void mark(int readlimit)

#### reset

    void reset()
        throws IOException

Throws:
  `IOException`

#### markSupported

    boolean markSupported()

#### setLastPacketSeq

    void setLastPacketSeq(int lastPacketSeq)

#### getLastPacketSeq

    int getLastPacketSeq()